
package com.heuristiclab.okb.wsclient.admin;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for NamedOKBItem complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="NamedOKBItem">
 *   &lt;complexContent>
 *     &lt;extension base="{http://schemas.datacontract.org/2004/07/HeuristicLab.Services.OKB.Administration.DataTransfer}OKBItem">
 *       &lt;sequence>
 *         &lt;element name="Description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "NamedOKBItem", namespace = "http://schemas.datacontract.org/2004/07/HeuristicLab.Services.OKB.Administration.DataTransfer", propOrder = {
    "description",
    "name"
})
@XmlSeeAlso({
    AlgorithmClass.class,
    Problem.class,
    ProblemClass.class,
    Algorithm.class,
    Platform.class
})
public class NamedOKBItem
    extends OKBItem
{

    @XmlElementRef(name = "Description", namespace = "http://schemas.datacontract.org/2004/07/HeuristicLab.Services.OKB.Administration.DataTransfer", type = JAXBElement.class)
    protected JAXBElement<String> description;
    @XmlElementRef(name = "Name", namespace = "http://schemas.datacontract.org/2004/07/HeuristicLab.Services.OKB.Administration.DataTransfer", type = JAXBElement.class)
    protected JAXBElement<String> name;

    /**
     * Gets the value of the description property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getDescription() {
        return description;
    }

    /**
     * Sets the value of the description property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setDescription(JAXBElement<String> value) {
        this.description = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setName(JAXBElement<String> value) {
        this.name = ((JAXBElement<String> ) value);
    }

}
